[torqueusers] Not able to build torque with pam support.

Roy Dragseth roy.dragseth at cc.uit.no
Thu Feb 25 03:02:13 MST 2010


Hi.

I'm trying to include pam-support in torque, but it refuses to build it.  The 
config.log says this:

configure:29734: checking for pam_get_user() calling type
configure:29777: gcc -c -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions 
-fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -
D_LARGEFILE64_SOURCE -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -
Werror  conftest.c >&5
conftest.c:112: error: conflicting types for 'pam_get_user'
/usr/include/security/pam_modules.h:31: error: previous declaration of 
'pam_get_user' was here
configure:29783: $? = 1

The build system is Rocks 5.3 aka CentOS 5.4.

Any hints?

Regards,
r.

-- 
  The Computer Center, University of Tromsø, N-9037 TROMSØ Norway.
              phone:+47 77 64 41 07, fax:+47 77 64 41 00
     Roy Dragseth, Team Leader, High Performance Computing
         Direct call: +47 77 64 62 56. email: roy.dragseth at uit.no


More information about the torqueusers mailing list